<ol class="breadcrumb mb-4" style="margin-top: 15px;">
	<li class="breadcrumb-item active">{{ titulo }}</li>
</ol>
<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
		<button class="btn btn-info btn-sm" style=" float: right; margin-left: 10px;" (click)="onDescargarAll()"><i class="fas fa-cloud-download-alt"></i> Descargar Recibos</button>
	</div> 
	<div class="card-body">
		<div class="card">
			<div class="card-body" style=" padding: 9px !important">
				<form  (ngSubmit)="onConsulta()" [formGroup]="consultaForm">
					<div class="row">
		      			<div class="col-md-3">
		      				<label for="recipient-name" class="col-form-label">Modelos:</label>
		      				<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.modelo_id.invalid && (submitted || f.modelo_id.touched))"> El campo es requerido</label>
			        		<ng-select placeholder='-- Modelos --'  formControlName="modelo_id" [items]="modelos" bindLabel="name" bindValue="id"> </ng-select>
				        </div>
				        <div class="col-md-4">
		      				<label for="recipient-name" class="col-form-label">Sedes:</label>
		      				<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.sedes_id.invalid && (submitted || f.sedes_id.touched))"> El campo es requerido</label>
			        		<ng-select placeholder='-- Sedes --' [multiple]="true" formControlName="sedes_id" [items]="sedes" bindLabel="name" bindValue="id"> </ng-select>
				        </div>
				        <div class="col-md-3"> 
			        		<label for="recipient-name" class="col-form-label">Fecha de Fin:</label>
			        		<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.fecha_fin.invalid && (submitted || f.fecha_fin.touched))"> El campo es requerido</label>
		        			<input type="date" class="form-control" formControlName="fecha_fin" name="date_fin" >
				        </div>
				        <div class="col-md-2">
			        		<button class="btn btn-primary btn-sm" autofocus style="margin-left: 40px; margin-top: 35px;"><i class="fas fa-search"></i> Consultar</button>
				        </div>
			        </div>
				</form>
			</div>
		</div>
		<div class="table-responsive" style="margin-top: 20px;">
			<div id="detalleConsulta" style="display: none;">
				<div class="table-responsive" style="margin-top: 20px;">
					<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
						<thead>
						<tr>
							<th>Identificación</th>
							<th>Nombre</th>
							<th>Celular</th>
							<th>Fecha de Ingreso</th>
							<th>Email</th>
							<th style=" width: 7%;">Acción</th>
						</tr>
						</thead>
						<tfoot>
							<tr>
								<th>Identificación</th>
								<th>Nombre</th>
								<th>Celular</th>
								<th>Fecha de Ingreso</th>
								<th>Email</th>
								<th>Acción</th>
							</tr>
						</tfoot>
						<tbody>
							<tr *ngFor="let modelo of  modelos_nomina">
								<td>{{ modelo.identification }}</td>
								<td>{{ modelo.name  }}</td>
								<td>{{ modelo.cellphone }}</td>
								<td>{{ modelo.admission_date }}</td>
								<td>{{ modelo.email }}</td>
								<td style="text-align: center;">
									<a class="badge badge-pill badge-info" style=" font-size: 14px;" href="javascript:void(0)" (click)="onDescargarRecibo(modelo)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-file-excel"></i></a>
								</td> 
							</tr>
						</tbody>
					</table>
				</div>
			</div>
			
		</div>
	</div>
</div>